﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GmailMetroNotifier.Client.Common;

namespace GmailMetroNotifier.Client.UI.Foundation
{
    /// <summary>
    /// A base class for <see cref="Form"/>s using the system font by default.
    /// </summary>
    public class SystemForm : Form
    {
        /// <summary>
        /// Initializes a new instance of the class setting <see cref="Form"/>.Font property
        /// to the one used by the system.
        /// </summary>
        public SystemForm()
        {
            this.Font = Constants.SystemFont;
        }
    }
}
