﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GmailMetroNotifier.Client.UIP
{
    /// <summary>
    /// Represents the severity of a notification
    /// </summary>
    public enum NotificationSeverity : int
    {
        /// <summary>
        /// A notification about an information
        /// </summary>
        Information = 0,

        /// <summary>
        /// A notification about a warning
        /// </summary>
        Warning = 1,

        /// <summary>
        /// A notification about an error
        /// </summary>
        Error = 2,

        /// <summary>
        /// A notification about an unexpected, critial condition
        /// </summary>
        Critical = 3,
    }
}
