﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GmailMetroNotifier.Client.Business;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace GmailMetroNotifier.Tests.Business
{
    [TestClass]
    public class TestAccountStatus
    {
        [TestMethod]
        public void TestAccountStatus_Constructor()
        {
            // Arrange:
            DateTime defaultDateTime = default(DateTime);

            bool isModified = false;

            // Act:
            AccountStatus accountStatus = new AccountStatus(isModified);

            // Assert:
            Assert.IsFalse(accountStatus.IsModified);
            Assert.AreEqual(defaultDateTime, accountStatus.ModificationDate);
            Assert.AreEqual(0, accountStatus.UnreadCount);
        }
    }
}
